commit 31f6fb21c84395c4f31d8147c323ac23ea758a4c
Author: Florian Best <best@univention.de>
Date:   Tue Jan 6 14:09:20 2015 +0100

    fix references to notifier.Callback(). calling e.g. process.stop() fails

diff --git usr/lib/pymodules/python2.7/notifier/popen.py usr/lib/pymodules/python2.7/notifier/popen.py
index e7f0bee..29fc4e8 100644
--- usr/lib/pymodules/python2.7/notifier/popen.py
+++ usr/lib/pymodules/python2.7/notifier/popen.py
@@ -208,7 +208,7 @@ class Process( signals.Provider ):
 		self.stopping = True
 
 		if self.is_alive() and not self.__kill_timer:
-			cb = Callback( self.__kill, 15 )
+			cb = notifier.Callback( self.__kill, 15 )
 			self.__kill_timer = notifier.timer_add( 0, cb )
 
 	def __kill( self, signal ):
@@ -226,9 +226,9 @@ class Process( signals.Provider ):
 			pass
 
 		if signal == 15:
-			cb = Callback( self.__kill, 9 )
+			cb = notifier.Callback( self.__kill, 9 )
 		else:
-			cb = Callback( self.__killall, 15 )
+			cb = notifier.Callback( self.__killall, 15 )
 
 		self.__kill_timer = notifier.timer_add( 3000, cb )
 		return False
@@ -270,7 +270,7 @@ class Process( signals.Provider ):
 
 		log.info( 'kill -%d %s' % ( signal, self.binary ) )
 		if signal == 15:
-			cb = Callback( self.__killall, 9 )
+			cb = notifier.Callback( self.__killall, 9 )
 			self.__kill_timer = notifier.timer_add( 2000, cb )
 		else:
 			log.critical( 'PANIC %s' % self.binary )
